##

This is the API

## updatePet

### URL

`http://petstore.swagger.io/v2/pet`

### HTTP Method

`PUT`

### Response Type

### Parameters

- Body: body Pet

  Pet object that needs to be added to the store

## addPet

### URL

`http://petstore.swagger.io/v2/pet`

### HTTP Method

`POST`

### Response Type

### Parameters

- Body: body Pet

  Pet object that needs to be added to the store

## findPetsByStatus

Multiple status values can be provided with comma seperated strings

### URL

`http://petstore.swagger.io/v2/pet/findByStatus`

### HTTP Method

`GET`

### Response Type

List

### Parameters

- Query: status List(String)

  Status values that need to be considered for filter

## findPetsByTags

Muliple tags can be provided with comma seperated strings. Use tag1, tag2, tag3 for testing.

### URL

`http://petstore.swagger.io/v2/pet/findByTags`

### HTTP Method

`GET`

### Response Type

List

### Parameters

- Query: tags List(String)

  Tags to filter by

## getPetById

Returns a pet when ID < 10. ID > 10 or nonintegers will simulate API error conditions

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`GET`

### Response Type

Pet

### Parameters

- Path: petId Long

  ID of pet that needs to be fetched

## updatePetWithForm

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`POST`

### Response Type

### Parameters

- Path: petId String

  ID of pet that needs to be updated

- Form: name String

  Updated name of the pet

- Form: status String

  Updated status of the pet

## deletePet

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

- Header: apiKey String

- Path: petId Long

  Pet id to delete

## uploadFile

### URL

`http://petstore.swagger.io/v2/pet/{petId}/uploadImage`

### HTTP Method

`POST`

### Response Type

### Parameters

- Path: petId Long

  ID of pet to update

- Form: additionalMetadata String

  Additional data to pass to server

- Form: file file

  file to upload